### ServerSync version of Aedenthorn's DeathTweaks. 
This is a re-upload to TS of Aedenthorn's mod DeathTweaks with server sync added back into it. I am not sure why it was removed, but I felt like it shouldn't have been.
#### This mod lets you tweak what happens when you die, including item dropping and keeping, whether a tombstone is created, whether food levels are kept, whether to reduce skill levels, etc.




### This mod contains the following config options:
- KeepItemTypes - a list of item types to always keep on death
- DropItemTypes - a list of item types to always drop on death
- DestroyItemTypes - a list of item types to always destroy on death
- KeepAllItems - whether to keep all items
- DestroyAllItems - whether to destroy all items
- KeepEquippedItems - whether to keep equipped items
- KeepQuickSlotItems - whether to keep items in Equipment and Quick Slots quick slots
- UseTombStone - whether to create a tomb stone
- CreateDeathEffects - whether to create a ragdoll
- KeepFoodLevels - whether to keep food levels on death
- ReduceSkills - whether to reduce skills on death
- SkillReduceFactor - the fraction of skill xp to lose
- NoSkillProtection - whether to force skill loss on every death
- SpawnAtStart - Whether to force respawning at start location
- UseFixedSpawnCoordinates - Whether to use custom fixed spawn coordinates

## Only use either **KeepItemTypes** *or* **DropItemType**.  DestroyItemTypes overrides both. **KeepEquippedItems** overrides the lists and **KeepAllItems** or **DestroyAllItems** overrides all the others.


### Config
A config file BepInEx/config/aedenthorn.DeathTweaks.cfg is created after running the game once with this mod).

You can adjust the config values by editing this file using a text editor or in-game using the Config Manager﻿.

To reload the config from the config file, type deathtweaks reset into the game's console (F5).

### Technical
To install manually, place the dll file in the BepInEx/plugins folder. You will need BepInEx.

Current Code for the original DeathTweaks is at [https://github.com/aedenthorn/ValheimMods.](https://github.com/aedenthorn/ValheimMods)

﻿﻿If you want to complain or ask for help or help me test my mods, you can visit my [Discord server﻿](https://discord.gg/bs6zHuj).

Click [here](https://www.nexusmods.com/valheim/articles/104) for a list of all her/her team's mods for Valheim.

